## org.eclipse.datatools.sqltools.parsers.sql
Class SQLParseResult

    java.lang.Object
      org.eclipse.datatools.sqltools.parsers.sql.SQLParseResult

Direct Known Subclasses:
  SQLControlParseResult, SQLQueryParseResult

    public class SQLParseResult

extends java.lang.Object

Constructor Summary
`SQLParseResult(SQLStatement stmt, java.util.List errorList)`

Method Summary
`java.util.List` `getErrorList()`
`SQLStatement` `getSQLStatement()`
`void` `setErrorList(java.util.List errorList)`
`void` `setSQLStatement(SQLStatement stmt)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLParseResult

    public SQLParseResult(SQLStatement stmt,
                          java.util.List errorList)

Parameters:
  `sqlStatement` -
  `errorList` -

Method Detail

### getErrorList

    public java.util.List getErrorList()

  Returns:
    Returns the errorList.

### setErrorList

    public void setErrorList(java.util.List errorList)

  Parameters:
    `errorList` - The errorList to set.

### getSQLStatement

    public SQLStatement getSQLStatement()

  Returns:
    Returns the sqlStatement.

### setSQLStatement

    public void setSQLStatement(SQLStatement stmt)

  Parameters:
    `sqlStatement` - The sqlStatement to set.